Skip to main content
GET
/
v1
/
ramp
/
limits
curl
curl -X GET "https://api.services.payward.com/v1/ramp/limits?in_asset_symbol=USD&in_asset_type=fiat&in_method=credit_card&out_asset_symbol=BTC&out_asset_type=crypto&out_method=Bitcoin&country=GB" \
  -H "API-Key: $PWS_API_KEY" \
  -H "API-Nonce: $PWS_API_NONCE" \
  -H "API-Sign: $PWS_API_SIGN"
{
  "data": {
    "limits": {
      "deposit": {
        "minimum": {
          "symbol": "USD",
          "name": "US Dollar",
          "type": "fiat",
          "amount": "20.00"
        },
        "maximum": {
          "symbol": "USD",
          "name": "US Dollar",
          "type": "fiat",
          "amount": "5000.00"
        }
      },
      "withdrawal": {
        "minimum": {
          "symbol": "BTC",
          "name": "Bitcoin",
          "type": "crypto",
          "amount": "0.00010000"
        },
        "maximum": {
          "symbol": "BTC",
          "name": "Bitcoin",
          "type": "crypto",
          "amount": "0.50000000"
        }
      }
    },
    "final_combined": {
      "in_asset": {
        "minimum": {
          "symbol": "USD",
          "name": "US Dollar",
          "type": "fiat",
          "amount": "20.00"
        },
        "maximum": {
          "symbol": "USD",
          "name": "US Dollar",
          "type": "fiat",
          "amount": "5000.00"
        }
      },
      "out_asset": {
        "minimum": {
          "symbol": "BTC",
          "name": "Bitcoin",
          "type": "crypto",
          "amount": "0.00031746"
        },
        "maximum": {
          "symbol": "BTC",
          "name": "Bitcoin",
          "type": "crypto",
          "amount": "0.07936507"
        }
      }
    }
  }
}

Authorizations

API-Key
string
header
required

Your public API key. Identifies the partner making the request.

API-Nonce
string
header
required

Monotonically increasing nonce included in the request signature.

API-Sign
string
header
required

HMAC signature over the request, computed with your private key.

Query Parameters

in_asset_symbol
string
required

Fiat asset code for the deposit side (input asset). Use GET /v1/ramp/fiat-currencies to discover supported fiat currencies. Ticker symbol of an asset (e.g. BTC, USDC, EUR).

Required string length: 3 - 16
Example:

"BTC"

in_asset_type
enum<string>
default:fiat

Classification of the in asset. Pair with in_asset_symbol to disambiguate when the same ticker exists across asset classes (e.g. USDC as stablecoin vs crypto). Defaults to fiat.

Available options:
fiat,
crypto,
stablecoin,
xstock
in_method
string
required

Funding type used for the fiat deposit side. Use GET /v1/ramp/payment-methods to discover supported payment methods.

out_asset_symbol
string
required

Cryptocurrency asset code for the withdrawal side (output asset). Use GET /v1/ramp/buy/crypto to discover supported cryptocurrency assets. Ticker symbol of an asset (e.g. BTC, USDC, EUR).

Required string length: 3 - 16
Example:

"BTC"

out_asset_type
enum<string>
default:crypto

Classification of the out asset. Pair with out_asset_symbol to disambiguate when the same ticker exists across asset classes (e.g. USDC as stablecoin vs crypto). Defaults to crypto.

Available options:
fiat,
crypto,
stablecoin,
xstock
out_method
string
required

Payward withdrawal method name. Use GET /v1/ramp/buy/crypto to discover available withdrawal methods for each cryptocurrency asset.

country
string
required

ISO 3166-1 alpha-2 country code. Use GET /v1/ramp/countries to discover supported values.

Maximum string length: 2
subdivision
string

ISO 3166-2 subdivision code suffix (e.g., CA for California when country is US). Use GET /v1/ramp/countries to discover supported values.

Response

Response

data
object
required